<?php
/*
Simple:Press
File Uploader plugin ahah routine for management functions
$LastChangedDate: 2013-02-16 16:20:30 -0700 (Sat, 16 Feb 2013) $
$Rev: 9848 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

sp_forum_api_support();

if (!isset($_GET['action'])) die();
$action = $_GET['action'];

if ($action == 'list-attachments') {
    global $spThisUser;
    $pid = sp_esc_int($_GET['pid']);
	$post = spdb_table(SFPOSTS, "post_id=$pid", 'row');
    if ((!$spThisUser->admin && !$spThisUser->moderator) || empty($post->attachments)) die();
	$forum = spdb_table(SFFORUMS, "forum_id=".$post->forum_id, 'row', '', '');
	$topic = spdb_table(SFTOPICS, "topic_id=".$post->topic_id, 'row', '', '');

?>
	<div id="spMainContainer" class="spForumToolsPopup">
		<div class="spForumToolsHeader">
			<div class="spForumToolsHeaderTitle"><?php echo __('Select attachment(s) you want to remove from this post', 'sp-plup').':'; ?></div>
		</div>
		<form action="<?php echo sp_build_url($forum->forum_slug, $topic->topic_slug, $page, $post->post_id, $post->post_index); ?>" method="post" name="removepostattachments">
			<input type="hidden" name="currentpostid" value="<?php echo $pid; ?>" />
			<div class="spCenter">
				<br /><?php echo sp_plupload_render_attachment_list($post->attachments); ?><br /><br />
				<input type="submit" class="spSubmit" name="removeattachments" value="<?php echo esc_attr(__('Remove Post Attachments', 'sp-plup')) ?>" />
				<input type="button" class="spSubmit" name="cancel" value="<?php echo esc_attr(__('Cancel', 'sp-plup')) ?>" onclick="jQuery('#dialog').dialog('close');" />
                <br /><br /><p><?php echo __('This will remove the attachment, but you will have to manually remove from the post content the image tag', 'sp-plup'); ?></p>
			</div>
		</form>
	</div>
<?php

   die();
}

if ($action == 'remove-photo') {
    $uid = sp_esc_int($_GET['uid']);
    $fid = sp_esc_str($_GET['fid']);
    $fid = urldecode($fid);
    $photos = get_user_meta($uid, 'sp_profile_photos', true);
    if ($photos) {
        foreach ($photos as $index => $photo) {
            if ($photo['file'] == $fid) {
                $file = $photo['loc'].$photo['file'];
                if (file_exists($file)) @unlink($file);
                $thumb = $photo['loc'].'_thumbs/_'.$photo['file'];
                if (file_exists($thumb)) @unlink($thumb);

                unset($photos[$index]);
                $newPhotos = array_values($photos);
                update_user_meta($uid, 'sp_profile_photos', $newPhotos);
                break;
            }
        }
    }
}

die();

?>