<?php
/*
$LastChangedDate: 2013-02-17 13:09:35 -0700 (Sun, 17 Feb 2013) $
$Rev: 9856 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

sp_forum_api_support();

include_once(SPPLUPLIBDIR.'sp-plupload-components.php');

global $spThisUser;
sp_plupload_config($spThisUser);
global $plup;

# make sure we have a file to delete
$name = sp_esc_str($_GET['name']);
if (empty($name)) die();

# get upload type and check permission
$nameparts = explode('.', $name);
$ext = end($nameparts);
if (!sp_plupload_validate_extension($ext, $plup['filetype']['image'])) {
	$typenow = 'image';
	if (!sp_get_auth('upload_images', sp_esc_int($_GET['fid']))) die();
} else if (!sp_plupload_validate_extension($ext, $plup['filetype']['media'])) {
	$typenow = 'media';
	if (!sp_get_auth('upload_media', sp_esc_int($_GET['fid']))) die();
} else if (!sp_plupload_validate_extension($ext, $plup['filetype']['file'])) {
	$typenow = 'file';
	if (!sp_get_auth('upload_files', sp_esc_int($_GET['fid']))) die();
} else {
	die();
}

# clean the file name same as when uploaded
$file_name = stripslashes($name);
$file_name = sp_plupload_clean_filename($file_name);

# make sure file exists
$browsepath = $plup['path'][$typenow];
if (!file_exists($browsepath.$file_name)) die();

# okay now remove
@unlink($browsepath.$file_name);

?>