<?php
/*
Simple:Press
Plupload plugin uninstall routine
$LastChangedDate: 2013-02-17 13:09:35 -0700 (Sun, 17 Feb 2013) $
$Rev: 9856 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

# this uninstall function is for the pm plugin uninstall only
function sp_plupload_do_uninstall() {
	# remove the auths
	global $sfglobals;
	if (!empty($sfglobals['auths_map']['upload_images'])) sp_delete_auth('upload_images');
	if (!empty($sfglobals['auths_map']['upload_media'])) sp_delete_auth('upload_media');
	if (!empty($sfglobals['auths_map']['upload_files'])) sp_delete_auth('upload_files');
	if (!empty($sfglobals['auths_map']['download_attachments'])) sp_delete_auth('download_attachments');

	spdb_query('ALTER TABLE '.SFPOSTS.' DROP attachments');

	global $SPPATHS;
    sp_remove_dir(SF_STORE_DIR.'/'.$SPPATHS['image-uploads']);
    sp_remove_dir(SF_STORE_DIR.'/'.$SPPATHS['media-uploads']);
    sp_remove_dir(SF_STORE_DIR.'/'.$SPPATHS['file-uploads']);

    # delete our option table
    sp_delete_option('spPlupload');
}

function sp_plupload_do_deactivate() {
    # deactivation so make our auth not active
    sp_deactivate_auth('upload_images');
    sp_deactivate_auth('upload_media');
    sp_deactivate_auth('upload_files');
    sp_deactivate_auth('upload_signatures');
    sp_deactivate_auth('download_attachments');
}

function sp_plupload_do_sp_deactivate() {
}

function sp_plupload_do_sp_uninstall() {
	global $SPPATHS;
    sp_remove_dir(SF_STORE_DIR.'/'.$SPPATHS['image-uploads']);
    sp_remove_dir(SF_STORE_DIR.'/'.$SPPATHS['media-uploads']);
    sp_remove_dir(SF_STORE_DIR.'/'.$SPPATHS['file-uploads']);
}

function sp_plupload_uninstall_option_links($actionlink, $plugin) {
	if ($plugin == 'plupload/sp-plupload-plugin.php') {
        $url = SFADMINPLUGINS.'&amp;action=uninstall&amp;plugin='.$plugin.'&amp;sfnonce='.wp_create_nonce('forum-adminform_plugins');
        $actionlink.= "&nbsp;&nbsp;<a href='$url' title='".esc_attr(__('Uninstall this plugin', 'sp-plup'))."'>".__('Uninstall', 'sp-plup').'</a>';
        $url = SFADMINCOMPONENTS.'&amp;tab=plugin&amp;admin=sp_plupload_admin_options&amp;save=sp_plupload_admin_save_options&amp;form=1';
        $actionlink.= "&nbsp;&nbsp;<a href='$url' title='".esc_attr(__('Options', 'sp-plup'))."'>".__('Options', 'sp-plup').'</a>';
    }
	return $actionlink;
}

?>